#include<iostream>
using namespace std;
int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);
	int n, m, i ,j;
	cin >> n >> m;
	char t[n][m];
	for (i=0; i<n; i++)
	for (j=0; j<m; j++)
		cin >> t[i][j];
	cout << -1;
}